Subject: Re: mount command
From: "Richard Lyon" <[email-masked]>
To: "DJ Delorie" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 23 Mar 1999 09:06:28 +1000

See comments below:

-----Original Message-----
From: DJ Delorie <[email-masked]>
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Date: Tuesday, 23 March 1999 6:32
Subject: Re: mount command

>Right.  stat() can find it, but readdir() can't.  Try making the
>c:\home directory.
>

I assume you mean 'mkdir c:\home' 

So I have done done the following:

umount /home        (hopefully this will clean out the reg)
rm -r /home
Exit from cygwin and start it again

cd /temp
mkdir c:\home

Whoops it created it in c:/temp.

mkdir c:/home

OK that put it in the right place where I had it before

mount D:/ /home

running mount gives the output:

Device           Directory           Type        Flags
D:               /home               native      text!=binary
C:               /                   native      text!=binary

and ls -F gives

AUTOEXEC.BAT*
CONFIG.SYS
IO.SYS
MSDOS.SYS
Multimedia Files/
NTDETECT.COM*
Program Files/
RECYCLER/
TEMP/
WINNT/
bin/
boot.ini
cygnus/
home/
ntldr
tmp/

So everything looks correct, as before.

find / -name .bashrc -print

.bashrc is on drive D and it is not found.

Oh well, no magical fix.

--
Want to unsubscribe from this list?
Send a message to [email-masked]